# PetscObjectContainerCreate

Creates a PETSc object that has room to hold a single pointer. This allows one to attach any type of data (accessible through a pointer) with the PetscObjectCompose() function to a PetscObject. The data item itself is attached by a call to PetscObjectContainerSetPointer.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscObjectContainerCreate(MPI_Comm comm,PetscObjectContainer *container)

Collective on MPI_Comm

### Input Parameters

comm -MPI communicator that shares the object

### Output Parameters

container -the container created

### See Also

PetscObjectContainerDestroy(), PetscObjectContainerSetPointer(), PetscObjectContainerSetPointer()

Level:advanced
Location:src/sys/src/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages